NestedWriteNestingTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.nested.NestedWriteNestingTag,NestedWriteNestingTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested
Class NestedWriteNestingTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.nested.NestedWriteNestingTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class NestedWriteNestingTag
extends javax.servlet.jsp.tagext.BodyTagSupport

NestedWriteNestingTag. Created so developers could have a more elegant way of getting to the underlying nested property their tag properties are referencing.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $
Author:
  Arron Bates
See Also:
  Serialized Form

Field Summary
`private boolean` | `filter`
`private java.lang.String` | `originalProperty`
`private java.lang.String` | `property`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`NestedWriteNestingTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()` Overriding method of the heart of the tag.
`boolean` | `getFilter()` Getter method for the filter property
`java.lang.String` | `getProperty()` Getter method for the property property
`void` | `release()` JSP method to release all resources held by the tag.
`void` | `setFilter(boolean newFilter)` Setter method for the filter property
`void` | `setProperty(java.lang.String newProperty)` Setter method for the property property

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### filter

    private boolean filter

### property

    private java.lang.String property

### originalProperty

    private java.lang.String originalProperty

Constructor Detail

### NestedWriteNestingTag

    public NestedWriteNestingTag()

Method Detail

### getProperty

    public java.lang.String getProperty()

  Getter method for the property property

  Returns:
    String value of the property property

### setProperty

    public void setProperty(java.lang.String newProperty)

  Setter method for the property property

  Parameters:
    `newProperty` - new value for the property property

### getFilter

    public boolean getFilter()

  Getter method for the filter property

  Returns:
    String value of the filter property

### setFilter

    public void setFilter(boolean newFilter)

  Setter method for the filter property

  Parameters:
    `newFilter` - new value for the filter property

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overriding method of the heart of the tag. Gets the relative property and tells the JSP engine to evaluate its body content.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Returns:
    int JSP continuation directive.
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
    `javax.servlet.jsp.JspException`

### release

    public void release()

  JSP method to release all resources held by the tag.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation